local AddColumnFrame
local EditColumnFrame
local FilterFrame

local DefaultColumns={
	{"Type","[Type]"},
	{"Source","[Source]"},
	{"Victim","[Victim]"},
	{"Ability","[Ability]"},
	{"VictimAbility","[VictimAbility]"},

}

function Relog:ShowAddColumn()
	if not AddColumnFrame then
		AddColumnFrame=Relog:CreateFrame(nil,"Relog - Add Column",110,300)
		theFrame=AddColumnFrame
		theFrame.Name=CreateFrame("EditBox","Relog_AddColumn_Name",theFrame, "InputBoxTemplate")
		theFrame.Name:SetWidth(220)
		theFrame.Name:SetHeight(13)
		theFrame.Name:SetPoint("TOPLEFT",theFrame,"TOPLEFT",70,-36)
		theFrame.Name:SetAutoFocus(false)

		theFrame.NameText=AddColumnFrame:CreateFontString(nil,"OVERLAY","GameFontNormal")
		theFrame.NameText:SetText("Name:")
		theFrame.NameText:SetPoint("RIGHT",theFrame.Name,"LEFT",-8,0)

		theFrame.Tag=CreateFrame("EditBox","Relog_AddColumn_Tag",theFrame, "InputBoxTemplate")
		theFrame.Tag:SetWidth(220)
		theFrame.Tag:SetHeight(13)
		theFrame.Tag:SetPoint("TOPLEFT",theFrame,"TOPLEFT",70,-60)
		theFrame.Tag:SetAutoFocus(false)

		theFrame.TagText=AddColumnFrame:CreateFontString(nil,"OVERLAY","GameFontNormal")
		theFrame.TagText:SetText("Tag:")
		theFrame.TagText:SetPoint("RIGHT",theFrame.Tag,"LEFT",-8,0)

		theFrame.AddButton=CreateFrame("Button",nil,theFrame,"OptionsButtonTemplate")
		theFrame.AddButton:SetWidth(150)
		theFrame.AddButton:SetHeight(24)
		theFrame.AddButton:SetPoint("BOTTOM",theFrame,"BOTTOM",0,4)
		theFrame.AddButton:SetScript("OnClick",function() Relog.TableWindow.Table:AddColumn(theFrame.Name:GetText(),theFrame.Tag:GetText());Relog.TableWindow.Table:UpdateRows() end)
		theFrame.AddButton:SetText("Add Column")
		Relog.WindowOrder:AddWindow(theFrame)
	else
		AddColumnFrame:Show()
	end
end

function Relog:ShowEditColumn(column)
	if not EditColumnFrame then
		EditColumnFrame=Relog:CreateFrame(nil,"Relog - Edit Column",110,300)
		theFrame=EditColumnFrame
		theFrame.Name=CreateFrame("EditBox","Relog_EditColumn_Name",theFrame, "InputBoxTemplate")
		theFrame.Name:SetWidth(220)
		theFrame.Name:SetHeight(13)
		theFrame.Name:SetPoint("TOPLEFT",theFrame,"TOPLEFT",70,-36)
		theFrame.Name:SetAutoFocus(false)

		theFrame.NameText=theFrame:CreateFontString(nil,"OVERLAY","GameFontNormal")
		theFrame.NameText:SetText("Name:")
		theFrame.NameText:SetPoint("RIGHT",theFrame.Name,"LEFT",-8,0)

		theFrame.Tag=CreateFrame("EditBox","Relog_EditColumn_Tag",theFrame, "InputBoxTemplate")
		theFrame.Tag:SetWidth(220)
		theFrame.Tag:SetHeight(13)
		theFrame.Tag:SetPoint("TOPLEFT",theFrame,"TOPLEFT",70,-60)
		theFrame.Tag:SetAutoFocus(false)

		theFrame.TagText=theFrame:CreateFontString(nil,"OVERLAY","GameFontNormal")
		theFrame.TagText:SetText("Tag:")
		theFrame.TagText:SetPoint("RIGHT",theFrame.Tag,"LEFT",-8,0)

		theFrame.AddButton=CreateFrame("Button",nil,theFrame,"OptionsButtonTemplate")
		theFrame.AddButton:SetWidth(150)
		theFrame.AddButton:SetHeight(24)
		theFrame.AddButton:SetPoint("BOTTOM",theFrame,"BOTTOM",0,4)
		theFrame.AddButton:SetScript("OnClick",function() theFrame.Column.Tag=theFrame.Tag:GetText();theFrame.Column.Title.Text:SetText(theFrame.Name:GetText());Relog.TableWindow.Table:UpdateRows();theFrame:Hide() end)
		theFrame.AddButton:SetText("Change Column")
		Relog.WindowOrder:AddWindow(theFrame)
	else
		EditColumnFrame:Show()
	end

	EditColumnFrame.Column=column
	EditColumnFrame.Name:SetText(column.Title.Text:GetText())
	EditColumnFrame.Tag:SetText(column.Tag)

	
end

function Relog:ShowFilter()
	if not FilterFrame then
		FilterFrame=Relog:CreateFrame(nil,"Relog - Set Filter",80,400)
		theFrame=FilterFrame

		theFrame.Tag=CreateFrame("EditBox","Relog_Filter_Tag",theFrame, "InputBoxTemplate")
		theFrame.Tag:SetWidth(320)
		theFrame.Tag:SetHeight(13)
		theFrame.Tag:SetPoint("TOPLEFT",theFrame,"TOPLEFT",70,-36)
		theFrame.Tag:SetAutoFocus(false)

		theFrame.TagText=theFrame:CreateFontString(nil,"OVERLAY","GameFontNormal")
		theFrame.TagText:SetText("Filter Tag:")
		theFrame.TagText:SetPoint("RIGHT",theFrame.Tag,"LEFT",-8,0)

		theFrame.AddButton=CreateFrame("Button",nil,theFrame,"OptionsButtonTemplate")
		theFrame.AddButton:SetWidth(150)
		theFrame.AddButton:SetHeight(24)
		theFrame.AddButton:SetPoint("BOTTOM",theFrame,"BOTTOM",0,4)
		theFrame.AddButton:SetScript("OnClick",function() Relog:FilterLog(FilterFrame.Tag:GetText());Relog.TableWindow.Table:UpdateRows();theFrame:Hide() end)
		theFrame.AddButton:SetText("Set Filter")
		Relog.WindowOrder:AddWindow(theFrame)
	else
		FilterFrame:Show()
	end
	FilterFrame.Tag:SetText(Relog:GetFilter())

	
end